<?php defined('SYSPATH') OR die('No direct access allowed.');

class Backupnow_Controller extends OnlyAps_Controller
{
	public function index()
	{
		$model = new Backupnow_Model();
		$modules = $model->modules();
		$optional_modules = $model->optional_modules();

		$template = new View('templates/default');
		$template->title = 'op5 Config :: Backup now';
		$template->content = new View('backupnow');
		$template->content->modules = $modules;
		$template->content->optional_modules = $optional_modules;
		expires::set(1);
		$template->render(TRUE);
	}

	public function backup()
	{
		$status = false;
		$message = 'The backup has been created. <a href="/backups/' . $_REQUEST['filename']
			. '.' . date('Y-m-d') . (($_REQUEST['type'] == 'charch') ? '.charch' : '') . '.backup">Download</a>';

		try
		{
			$model = new Backupnow_Model();
			$model->backup($_REQUEST['type'],  $_REQUEST['filename'], $_REQUEST['backup']);
			$status = true;
		}
		catch (Exception $e)
		{
			$message = $e->getMessage();
		}

		$reply = array('status' => $status, 'message' => $message);
		expires::set(1);
		print Json::encode($reply);
	}
}
