<?php defined('SYSPATH') OR die('No direct access allowed.');

class Reset_Controller extends OnlyAps_Controller
{
	public function index()
	{
		$result = isset($_GET["result"]) ? $_GET["result"] : NULL;
		$message = isset($_GET["msg"]) ? $_GET["msg"] : NULL;

		$template = new View('templates/default');
		$template->title = 'op5 Config :: Reset';
		$template->content = $view = new View('reset');
		$template->content->result = $result;
		$template->content->message = $message;
		$template->render(TRUE);
	}

	public function reset() {
		$result = false;
		$message = "";
		try {
			$model = new Reset_Model();
			$model->reset();
			$result = true;
		} catch(Exception $e) {
			$message = $e->getMessage();
		}
		$result = $result ? "success" : "failure";
		$message = $result ? "" : ("&msg=".urlencode($message));
		url::redirect("/reset?result=$result$message");
	}
}
